﻿//
// ConsoleCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System.Collections.Generic;
using System.Data.SqlClient;

namespace Extensions
{
    public static class SqlParameterExtension
    {
        /// <summary>
        /// ListにSqlParameterを追加し、追加したSqlParameterを返す
        /// 使用例
        /// List<SqlParameter> sqlParameters  = new List<SqlParameter>();
        /// sqlParameters.AddSqlParameter(new SqlParameter("@type1", SqlDbType.VarChar)).Value = "S";
        /// </summary>
        public static SqlParameter AddSqlParameter(this List<SqlParameter> list, SqlParameter parameter)
        {
            list.Add(parameter);
            return parameter;
        }

        /// <summary>
        /// SqlParameterCollectionにList<SqlParameter>を追加
        /// </summary>
        public static void AddParams(this SqlParameterCollection collection, List<SqlParameter> list)
        {
            foreach (SqlParameter parameter in list)
            {
                collection.Add(parameter);
            }
        }
    }
}
